package com.fs.company.domain;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;
import java.util.stream.Collectors;

public class CompanyDeptTreeSelect {
    private static final long serialVersionUID = 1L;

    /** 节点ID */
    private Long id;

    /** 节点名称 */
    private String label;

    /** 子节点 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<CompanyDeptTreeSelect> children;

    public CompanyDeptTreeSelect()
    {

    }
    public CompanyDeptTreeSelect(CompanyDept dept) {
        this.id = dept.getDeptId();
        this.label = dept.getDeptName();
        this.children = dept.getChildren().stream().map(CompanyDeptTreeSelect::new).collect(Collectors.toList());

    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLabel()
    {
        return label;
    }

    public void setLabel(String label)
    {
        this.label = label;
    }

    public List<CompanyDeptTreeSelect> getChildren() {
        return children;
    }

    public void setChildren(List<CompanyDeptTreeSelect> children) {
        this.children = children;
    }
}
